<?php
/**
 * Pet Care Store: Block Patterns
 *
 * @since Pet Care Store 1.0
 */

function pet_care_store_register_block_patterns() {

	$patterns = array();

	$block_pattern_categories = array(
		'pet-care-store' => array( 'label' => __( 'Pet Care Store', 'pet-care-store' ) )
	);
	$block_pattern_categories = apply_filters( 'pet_care_store_block_pattern_categories', $block_pattern_categories );

	foreach ( $block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'pet_care_store_register_block_patterns', 9 );